Bug 117779 - Dhclient presets bad driftfile location
Dhclient presets bad driftfile location
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: dhcpcd (Show other bugs)
3.0
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-08 09:35 EST by Thomas Sippel - Dau
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 11:50:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Sippel - Dau 2004-03-08 09:35:46 EST
Description of problem: 
  
If a RedHat Enterpse Linux 3 Workstation is configured to  
acquire IP address with dhclient, and the dhcp server provides  
a set of ntp servers in response, and there is no /etc/ntp.conf file,  
the dhclient script (/sbin/dhclient-script) presets a driftfile  
/etc/ntp/data/drift. As the ntp data directory has been moved  
to /var/lib/ntp, this creates frequent messages as the directory  
/etc/ntp/data is no longer created.  
  
Version-Release number of selected component (if applicable):  
dhclient-3.0pl2-6.14  
ntp-4.1.2-4  
  
How reproducible:Clear from Source code  
  
  
Steps to Reproduce:  
1.Review Source  
2.  
3.  
    
Actual results:  
Frequent messages in /var/log/messages  
  
Expected results:  
Maintenance of driftfile in proper location  
  
Additional info:
Comment 1 Daniel Walsh 2004-03-25 13:23:33 EST
fixed in dhcp-3.0pl2-6.16 and above.
Comment 2 John Flanagan 2004-12-21 14:42:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.